2017-09-23 01:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000373Cheat Engine(No Category)public2015-02-17 14:39
Reporterpausebreak7 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000373: Ansi String & Unicode Change And Input String Data 0D 0A bug?
DescriptionOriginally zero, but 0D 0A generated

61 62 63 64 65 66 00 00 <- Cheat engine 6.3 abcdef input and Change

61 62 63 64 65 66 0D 0A <- Rev 2902 Cheat engine abcdef input and Change

String Bug?

Why 0D 0A input?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000754

pausebreak7 (reporter)

Cheat Engine 6.4 release version

abcdef [61 62 63 64 65 66] -> Change 12345 [31 32 33 34 35 00]

The last code 00 input

but rev 2902 version input 0D 0A

~0000755

pausebreak7 (reporter)

Multi Line Command -> 0D 0A Input

single Line command -> Not 0D 0A input

When using a multi-line commands are your intended?

~0000756

mgr_inz_Player (reporter)

Last edited: 2015-02-16 04:19

View 2 revisions

This functionality was added in 4 Dec 2014 (revision 2852)

You can change line 980 in addresslist.pas:
value:=TrimRight(Utf8ToAnsi(value));

~0000757

pausebreak7 (reporter)

mgr inz player thank you

~0000758

Dark Byte (developer)

applied this fix in the svn
+Notes

-Issue History
Date Modified Username Field Change
2015-02-11 10:04 pausebreak7 New Issue
2015-02-11 10:04 pausebreak7 File Added: error string.png
2015-02-11 10:25 pausebreak7 Note Added: 0000754
2015-02-11 11:07 pausebreak7 Note Added: 0000755
2015-02-16 04:16 mgr_inz_Player Note Added: 0000756
2015-02-16 04:19 mgr_inz_Player Note Edited: 0000756 View Revisions
2015-02-17 08:29 pausebreak7 Note Added: 0000757
2015-02-17 14:39 Dark Byte Note Added: 0000758
2015-02-17 14:39 Dark Byte Status new => resolved
2015-02-17 14:39 Dark Byte Resolution open => fixed
2015-02-17 14:39 Dark Byte Assigned To => Dark Byte
+Issue History